VSTGUI: CustomizationAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CustomizationAdapter Class Reference
Standalone Library

ICustomization adapter. More...

`#include <customization.h>`

Inheritance diagram for CustomizationAdapter:

## Public Member Functions
IController * | createController (const UTF8StringView &name, IController *parent, const IUIDescription *uiDesc) override
| Create a sub controller.
void | onUIDescriptionParsed (const IUIDescription *uiDesc) override
| Notification that the UIDescription was successfully parsed.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Detailed Description

ICustomization adapter.

## Member Function Documentation

## ◆ createController()

IController * createController | ( | const UTF8StringView & | name,
|  | IController * | parent,
|  | const IUIDescription * | uiDesc )
| inlineoverridevirtual

Create a sub controller.

A sub controller can be defined in the UI editor for a view and will be responsible as a controller for the view and its children.

The controller will be automatically destroyed when the view is destroyed. You should always create a new controller instance here and do not cache it.

Parameters

  name | name of the sub controller
  parent | the parent controller
  uiDesc | the UIDescription instance

Implements ICustomization.

## ◆ onUIDescriptionParsed()

void onUIDescriptionParsed | ( | const IUIDescription * | uiDesc | ) |
| inlineoverridevirtual

Notification that the UIDescription was successfully parsed.

This can be used to get some resources from the UIDescription instance.

Parameters

  uiDesc | the UIDescription instance

Implements ICustomization.

The documentation for this class was generated from the following file:

- customization.h